import request from '@/utils/request'
export default {
  data() {
    return {
      listUrl: '',
      queryParams: {
        pageNum: 1,
        pageSize: 10
      },
      tableId: false,
      loading: false,
      // 显示搜索条件
      showSearch: true,
      allows: ['StandardTerms', 'ViewStandardTerms'],
      // 重新渲染表格状态
      refreshTable: true,
      tableData: [],
      total: 0
    }
  },
  mounted() {
    console.log(this.$route.name)
    console.log(this.allows.indexOf(this.$route.name))
    if (this.allows.indexOf(this.$route.name) == -1) {
      this.loadData()
    }
  },
  methods: {
    /** 展开/折叠操作 */
    toggleExpandAll() {
      this.refreshTable = false
      this.isExpandAll = !this.isExpandAll
      this.$nextTick(() => {
        this.refreshTable = true
      })
    },
    resetQuery() {
      // this.refs.queryForm.restForm()      this.resetForm("queryForm");
      this.queryParams = {
        pageNum: this.queryParams.pageNum,
        pageSize: this.queryParams.pageSize
      }
      this.handleQuery()
    },
    handleQuery() {
      this.queryParams.pageNum = 1
      this.loadData()
    },
    loadData() {
      this.loading = true
      request({
        url: this.listUrl,
        method: 'post',
        data: this.queryParams
      })
        .then(res => {
          if (res.code === 200) {
            this.tableData = res.rows
            this.total = res.total
          }
          this.loading = false
        })
        .catch(error => {
          if (error.msg) {
            this.$message.error(error.msg)
          }
          this.loading = false
        })
    }
  }
}
